if (isObject(ECMDances))
	ECMDances.delete();


new ScriptObject(ECMDances) {

	class = ECMDances;

	Version = "4.0";
	DisplayName = "ECM Dances";

	DanceItem = 0;

};

//Dance Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Dance Loop
	function RandomDanceToggle()
	{

		//Disable other Dances
		ECMDances.AwwwState = 0;
		ECMDances.MooState = 0;
		ECMDances.AwwwCounter = 0;
		ECMDances.MooCounter = 0;
		
		//Toggle Variable
		ECMDances.DanceCounter++;
		
		if(ECMDances.DanceCounter < 4)
		{
			
			//Time to Dance
			ECMDances.DanceState = true;
			doRandomDance();

			//Display message to user (Once)
			if(ECMDances.DanceCounter == 1)
			{
			
				addMessageHudLine("\c1Dance Mode is \c3Enabled\c1.");

			}
			

		} else {
			
			//Take Five
			ECMDances.DanceState = false;
			ECMDances.DanceCounter = 0;
			addMessageHudLine("\c1Dance Mode is \c3Disabled\c1.");
			

		}

	}

	//Processes the actual dance sequence
	function doRandomDance()
	{
		if(ECMDances.DanceState == true)
		{
			
			commandToServer('CannedChat', ECMDances.DanceList[ECMDances.DanceItem], false);
			schedule(ECMDances.DanceTime[ECMDances.DanceItem], 0, "doRandomDance");
			
			ECMDances.DanceItem++;

			if(ECMDances.DanceItem > ECMDances.DanceMoves)
			{

				ECMDances.DanceItem = 0;

			}
		}
	}

	//Loads in a predetermined dance sequence
	//TO DO: Develope GUI for customizing this shit...
	function formatDefaultDanceList()
	{

		//TO DO: Make GUI to edit this shit :)
		
		
		ECMDances.DanceList[0] = 'ChatAnimDance';
		ECMDances.DanceTime[0] = 1500;
		
		ECMDances.DanceList[1] = 'ChatAnimSpec2';
		ECMDances.DanceTime[1] = 1000;
		
		ECMDances.DanceList[2] = 'ChatAnimSpec2';
		ECMDances.DanceTime[2] = 2000;
		
		ECMDances.DanceList[3] = 'ChatAnimDance';
		ECMDances.DanceTime[3] = 1500;
		
		ECMDances.DanceList[4] = 'ChatAnimAnnoyed';
		ECMDances.DanceTime[4] = 2000;
		
		ECMDances.DanceList[5] = 'ChatAnimSalute';
		ECMDances.DanceTime[5] = 700;
		
		ECMDances.DanceList[6] = 'ChatAnimWave';
		ECMDances.DanceTime[6] = 1500;
		
		ECMDances.DanceList[7] = 'ChatAnimGetSome';
		ECMDances.DanceTime[7] = 1000;

		ECMDances.DanceMoves = 7;

	}

//End Dance Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Awwww Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Awwwwwwwww... Loop
	function AwwwSpamToggle(%val)
	{

		//Disable other Dances
		ECMDances.DanceState = false;
		ECMDances.DanceCounter = 0;
		ECMDances.MooState = false;
		ECMDances.MooCounter = 0;

		//Toggle Variable
		ECMDances.AwwwCounter++;
		
		if(ECMDances.AwwwCounter < 4)
		{
			
			ECMDances.AwwwState = true;
			doAwww();

			//Display message to user (Once)
			if(ECMDances.AwwwCounter == 1)
			{
			
				addMessageHudLine("\c1Awww Spam is \c3Enabled\c1.");

			}

		} else {
			
			//Rest your vocal cords
			ECMDances.AwwwState = 0;
			ECMDances.AwwwCounter = false;
			addMessageHudLine("\c1Awww Spam is \c3Disabled\c1.");

		}

	}

	// Function handles Awww animation loop
	function doAwww() {

		if(ECMDances.AwwwState == true)
		{
			
			commandToServer('CannedChat', 'ChatAnimSpec2', false);
			schedule(1000, 0, "doAwww");

		}

	}

//End Awwww Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Moove Mode Functions_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	// Activate/Deactivate Mooove Loop
	function MooToggle()
	{

		//Disable other Dances
		ECMDances.DanceState = 0;
		ECMDances.DanceCounter = 0;
		ECMDances.AwwwCounter = 0;
		ECMDances.AwwwState = 0;

		//Toggle Variable
		ECMDances.MooCounter++;
		
		if(ECMDances.MooCounter < 4)
		{
			//Time to Spam
			ECMDances.MooState = true;
			doMoo();

			//Display message to user (Once)
			if(ECMDances.MooCounter == 1)
			{
			
				addMessageHudLine("\c1Cow Mode is \c3Enabled\c1.");

			}

		} else {
			
			//Rest your vocal cords
			ECMDances.MooState = 0;
			ECMDances.MooCounter = false;
			addMessageHudLine("\c1Cow Mode is \c3Disabled\c1.");

		}

	}

	
	function doMoo() {

		if(ECMDances.MooState == true)
		{
			
			commandToServer('CannedChat', 'ChatAnimAnnoyed', false);
			schedule(700, 0, "doMoo");

		}

	}

//End Moove Mode Functions_______________________________________________________________________________
//-----------------------------------------------------------------------------------------------------


//Add Item to SimGroup_________________________________________________________________________________
//-------------------------------------------------------------------------------------------------------
TracerECM.Modules.add(ECMDances);