//By Naosyth

schedule(1000, 0, "loadTECM");

function LoadTECM()
	{
          echo("Loading ECM (Fixed by Naosyth)");

		//Load in GUIs_________________________________________
		//-------------------------------------------------------
		exec("scripts/TDX/ECM/GUI/ECMEditor.gui");
		exec("scripts/TDX/ECM/GUI/ECMMenu.gui");
		exec("scripts/TDX/ECM/GUI/ECMSoundExplorer.gui");
		exec("scripts/TDX/ECM/GUI/ECMFilters.gui");
		exec("scripts/TDX/ECM/GUI/ECMOverrideDlg.gui");
		exec("scripts/TDX/ECM/GUI/ECMVoicePacks.gui");
		
		
		
		//Load in Chat Menu____________________________________
		//-------------------------------------------------------
		TracerECM.getPlayerVoice();
		ECMenuBuild.activateMenu();
		
		//Load in Default Dance Sequence_______________________
		//-------------------------------------------------------
		formatDefaultDanceList();

		//Define List of Sounds to choose______________________
		//-------------------------------------------------------
		//exec("scripts/TDX/ECM/SoundLists/VoiceSounds.cs");
		//exec("scripts/TDX/ECM/SoundLists/NullSounds.cs");
		

		//Define list of Canned Chat Items_____________________
		//-------------------------------------------------------
		ECMSoundExplorer.clearCannedItems();
		exec("scripts/TDX/ECM/SoundLists/CannedChatItems.cs");

		//Register Chat HUD with LabRat's HudMover_____________
		//-------------------------------------------------------
		hudmover::addhud(TDXCMenuHud,"TDXC Chat Menu");
		

		//GUI Button Addition__________________________________
		//-------------------------------------------------------
		new ShellBitmapButton(GMW_ECMButton) {
			profile = "ShellButtonProfile";
			horizSizing = "left";
			vertSizing = "top";
			position = "94 312";
			extent = "150 38";
			minExtent = "32 38";
			visible = "1";
			command = "TECMBindEditor.showTDXMenu(true);";
			helpTag = "0";
			text = "ECM OPTIONS";
			simpleStyle = "0";
		};
		
		//Voice Pitch Slider___________________________________
		//-------------------------------------------------------
		new ShellSliderCtrl(GMW_VoicePitchSlider) {
			profile = "ShellSliderProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "104 215";
			extent = "130 24";
			minExtent = "12 24";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			variable = "value";
			altCommand = "ECM_setVoicePitch();";
			helpTag = "0";
			range = "0.000000 2.000000";
			ticks = "1000";
			value = "0.261905";
			usePlusMinus = "1";
		};
							
		new GuiTextCtrl(GMW_VoicePitchLabel) {
			profile = "ShellTextRightProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "34 218";
			extent = "64 22";
			minExtent = "8 8";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Voice Pitch:";
			maxLength = "255";
		};

		//Grab Right panel frame object in WarriorPane
		%obj = GM_WarriorPane.getObject(2);
		//%testVObjLabel = %obj.getObject(9);
		
		//Change extent to make room for ECM Button
		%obj.extent = "257 372";

		//Add GUI elements to Pane
		%obj.add(GMW_ECMButton);
		%obj.add(GMW_VoicePitchLabel);
		%obj.add(GMW_VoicePitchSlider);
		
		
		//GUI Button For Scripts Tab___________________________
		//-------------------------------------------------------
		//[B301-001] - GuiControl wrapper added as POSSIBLE fix to button not showing in vl2 packed form
		exec("scripts/TDX/ECM/GUI/ScriptTab_Button.gui");

		
		//Attempt to auto-bind voicepacks______________________
		//-------------------------------------------------------
		ECMVoicePackDriver.AutoBindPass();

		//Display Console Ready Message :)_____________________
		//-------------------------------------------------------
		echo("\c6TracerECM \c5v" @ TracerECM.Version @ " - \c4System online.");

	}