//----------------------------------------------------------------------------\\
//                                                                            \\
//       TracerDX's Enhanced Chat - Canned Chat Item Definition File          \\
//                                                                            \\
//                Written by TracerDX (tracer@synadyne.net)                   \\
//                         http://www.synadyne.net                            \\
//                                                                            \\
//----------------------------------------------------------------------------\\
 


//--------------------------------------------------------------------------
// ANIMATIONS
ECMSoundExplorer.addCIHeader("ANIMATIONS------------------");
ECMSoundExplorer.addCannedItem( 'ChatAnimAnnoyed', "Animation: Move!");
ECMSoundExplorer.addCannedItem( 'ChatAnimGetSome', "Animation: I am the greatest!");
ECMSoundExplorer.addCannedItem( 'ChatAnimDance', "Animation: Woohoo!");
ECMSoundExplorer.addCannedItem( 'ChatAnimSalute', "Animation: I'm on it!");
ECMSoundExplorer.addCannedItem( 'ChatAnimWave', "Animation: Hi.");
ECMSoundExplorer.addCannedItem( 'ChatAnimSpec1', "Animation: That's the best you can do?");
ECMSoundExplorer.addCannedItem( 'ChatAnimSpec2', "Animation: Awww, that's too bad!");
ECMSoundExplorer.addCannedItem( 'ChatAnimSpec3', "Animation: Awesome!");

//--------------------------------------------------------------------------
// ATTACK
ECMSoundExplorer.addCIHeader("ATTACK----------------------");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttack', "Attack!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackBase', "Attack the enemy base!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackChase', "Recover our flag!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackDistract', "Disrupt the enemy defense!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackFlag', "Get the enemy flag!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackGenerator', "Destroy the enemy generator!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackObjective', "Attack the objective!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackReinforce', "Reinforce the offense!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackSensors', "Destroy enemy sensors!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackTurrets', "Destroy enemy turrets!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackWait', "Wait for my signal before attacking!");
ECMSoundExplorer.addCannedItem( 'ChatCmdAttackVehicle', "Destroy the enemy vehicle!");

//--------------------------------------------------------------------------
// BASE
ECMSoundExplorer.addCIHeader("BASE------------------------");
ECMSoundExplorer.addCannedItem( 'ChatBaseTaken', "Our base is taken.");
ECMSoundExplorer.addCannedItem( 'ChatEnemyInBase', "The enemy's in our base.");
ECMSoundExplorer.addCannedItem( 'ChatBaseClear', "Our base is clear.");
ECMSoundExplorer.addCannedItem( 'ChatCmdRetakeBase', "Retake our base!");
ECMSoundExplorer.addCannedItem( 'ChatBaseSecure', "Our base is secure.");

//--------------------------------------------------------------------------
// DEFENSE
ECMSoundExplorer.addCIHeader("DEFENSE---------------------");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendBase', "Defend our base!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendCarrier', "Cover our flag carrier!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendEntrances', "Defend the entrances!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendFlag', "Defend our flag!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendGenerator', "Protect the generator!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendMe', "Cover me!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendObjective', "Defend the objective!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendReinforce', "Reinforce our defense!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendSensors', "Defend our sensors!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendTurrets', "Defend our turrets!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendVehicle', "Defend our vehicle!");
ECMSoundExplorer.addCannedItem( 'ChatCmdDefendNexus', "Defend the nexus!");

//--------------------------------------------------------------------------
// COMMAND RESPONSE
ECMSoundExplorer.addCIHeader("COMMAND RESPONSE------------");
ECMSoundExplorer.addCannedItem( 'ChatCmdAcknowledged', "Command acknowledged.");
ECMSoundExplorer.addCannedItem( 'ChatCmdWhat', "What's your assignment?");
ECMSoundExplorer.addCannedItem( 'ChatCmdCompleted', "Command completed.");
ECMSoundExplorer.addCannedItem( 'ChatCmdDeclined', "Command declined.");

//--------------------------------------------------------------------------
// ENEMY STATUS
ECMSoundExplorer.addCIHeader("ENEMY STATUS----------------");
ECMSoundExplorer.addCannedItem( 'ChatEnemyBaseDisabled', "Enemy base is disabled.");
ECMSoundExplorer.addCannedItem( 'ChatEnemyDisarray', "The enemy is disrupted. Attack!");
ECMSoundExplorer.addCannedItem( 'ChatEnemyGeneratorDestroyed', "Enemy generator destroyed.");
ECMSoundExplorer.addCannedItem( 'ChatEnemyRemotesDestroyed', "Enemy remote equipment destroyed.");
ECMSoundExplorer.addCannedItem( 'ChatEnemySensorsDestroyed', "Enemy sensors destroyed.");
ECMSoundExplorer.addCannedItem( 'ChatEnemyTurretsDestroyed', "Enemy turrets destroyed.");
ECMSoundExplorer.addCannedItem( 'ChatEnemyVehicleDestroyed', "Enemy vehicle station destroyed.");

//--------------------------------------------------------------------------
// FLAG
ECMSoundExplorer.addCIHeader("FLAG------------------------");
ECMSoundExplorer.addCannedItem( 'ChatFlagGotIt', "I have the enemy flag!");
ECMSoundExplorer.addCannedItem( 'ChatCmdGiveMeFlag', "Give me the flag!");
ECMSoundExplorer.addCannedItem( 'ChatCmdReturnFlag', "Retrieve our flag!");
ECMSoundExplorer.addCannedItem( 'ChatFlagSecure', "Our flag is secure.");
ECMSoundExplorer.addCannedItem( 'ChatCmdTakeFlag', "Take the flag from me!");
ECMSoundExplorer.addCannedItem( 'ChatCmdHunterGiveFlags', "Give your flags to me!");
ECMSoundExplorer.addCannedItem( 'ChatCmdHunterTakeFlags', "Take my flags!");

//--------------------------------------------------------------------------
// GLOBAL COMPLIMENTS
ECMSoundExplorer.addCIHeader("GLOBAL COMPLIMENTS----------");
ECMSoundExplorer.addCannedItem( 'ChatAwesome', "Awesome!");
ECMSoundExplorer.addCannedItem( 'ChatGoodGame', "Good game!");
ECMSoundExplorer.addCannedItem( 'ChatNice', "Nice move!");
ECMSoundExplorer.addCannedItem( 'ChatYouRock', "You rock!");
ECMSoundExplorer.addCannedItem( 'ChatGreatShot', "Great shot!");

//--------------------------------------------------------------------------
// GLOBAL
ECMSoundExplorer.addCIHeader("GLOBAL----------------------");
ECMSoundExplorer.addCannedItem( 'ChatBye', "Bye.");
ECMSoundExplorer.addCannedItem( 'ChatHi', "Hi.");
ECMSoundExplorer.addCannedItem( 'ChatGlobalYes', "Yes. (Global)");
ECMSoundExplorer.addCannedItem( 'ChatGlobalNo', "No. (Global)");
ECMSoundExplorer.addCannedItem( 'ChatAnyTime', "Any time. (Global)");
ECMSoundExplorer.addCannedItem( 'ChatDontKnow', "I don't know. (Global)");
ECMSoundExplorer.addCannedItem( 'ChatOops', "Oops!");
ECMSoundExplorer.addCannedItem( 'ChatQuiet', "Quiet!");
ECMSoundExplorer.addCannedItem( 'ChatShazbot', "Shazbot!");
ECMSoundExplorer.addCannedItem( 'ChatCheer', "Woohoo!");
ECMSoundExplorer.addCannedItem( 'ChatThanks', "Thanks. (Global)");
ECMSoundExplorer.addCannedItem( 'ChatWait', "Wait a sec. (Global)");

//--------------------------------------------------------------------------
// TRASH TALK
ECMSoundExplorer.addCIHeader("TRASH TALK------------------");
ECMSoundExplorer.addCannedItem( 'ChatAww', "Aww, that's too bad!");
ECMSoundExplorer.addCannedItem( 'ChatBrag', "I am the greatest!");
ECMSoundExplorer.addCannedItem( 'ChatObnoxious', "That's the best you can do?");
ECMSoundExplorer.addCannedItem( 'ChatSarcasm', "THAT was graceful!");
ECMSoundExplorer.addCannedItem( 'ChatLearn', "When ya gonna learn?");

//--------------------------------------------------------------------------
// NEED
ECMSoundExplorer.addCIHeader("NEED------------------------");
ECMSoundExplorer.addCannedItem( 'ChatNeedBombardier', "Need a bombardier.");
ECMSoundExplorer.addCannedItem( 'ChatNeedCover', "Need covering fire.");
ECMSoundExplorer.addCannedItem( 'ChatNeedDriver', "Need driver for ground vehicle.");
ECMSoundExplorer.addCannedItem( 'ChatNeedEscort', "Vehicle needs escort.");
ECMSoundExplorer.addCannedItem( 'ChatNeedPilot', "Need pilot for turbograv.");
ECMSoundExplorer.addCannedItem( 'ChatNeedPassengers', "Gunship ready! Need a ride?");
ECMSoundExplorer.addCannedItem( 'ChatNeedHold', "Hold that vehicle! I'm coming!");
ECMSoundExplorer.addCannedItem( 'ChatNeedRide', "I need a ride!");
ECMSoundExplorer.addCannedItem( 'ChatNeedSupport', "Need vehicle support!");
ECMSoundExplorer.addCannedItem( 'ChatNeedTailgunner', "Need a tailgunner.");
ECMSoundExplorer.addCannedItem( 'ChatNeedDestination', "Where to?");

//--------------------------------------------------------------------------
// REPAIR
ECMSoundExplorer.addCIHeader("REPAIR----------------------");
ECMSoundExplorer.addCannedItem( 'ChatRepairBase', "Repair our base!");
ECMSoundExplorer.addCannedItem( 'ChatRepairGenerator', "Repair our generator!");
ECMSoundExplorer.addCannedItem( 'ChatRepairMe', "Repair me!");
ECMSoundExplorer.addCannedItem( 'ChatRepairSensors', "Repair our sensors!");
ECMSoundExplorer.addCannedItem( 'ChatRepairTurrets', "Repair our turrets!");
ECMSoundExplorer.addCannedItem( 'ChatRepairVehicle', "Repair our vehicle station!");

//--------------------------------------------------------------------------
// SELF ATTACK
ECMSoundExplorer.addCIHeader("SELF ATTACK-----------------");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttack', "I will attack.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackBase', "I'll attack the enemy base.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackFlag', "I'll go for the enemy flag.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackGenerator', "I'll attack the enemy generator.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackSensors', "I'll attack the enemy sensors.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackTurrets', "I'll attack the enemy turrets.");
ECMSoundExplorer.addCannedItem( 'ChatSelfAttackVehicle', "I'll attack the enemy vehicle station.");

//--------------------------------------------------------------------------
// SELF DEFEND
ECMSoundExplorer.addCIHeader("SELF DEFEND-----------------");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendBase', "I'll defend our base.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefend', "I'm defending.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendFlag', "I'll defend our flag.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendGenerator', "I'll defend our generator.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendNexus', "I'll defend the nexus.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendSensors', "I'll defend our sensors.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendTurrets', "I'll defend our turrets.");
ECMSoundExplorer.addCannedItem( 'ChatSelfDefendVehicle', "I'll defend our vehicle bay.");

//--------------------------------------------------------------------------
// SELF REPAIR
ECMSoundExplorer.addCIHeader("SELF REPAIR-----------------");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairBase', "I'll repair our base.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairEquipment', "I'll repair our equipment.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairGenerator', "I'll repair our generator.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepair', "I'm on repairs.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairSensors', "I'll repair our sensors.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairTurrets', "I'll repair our turrets.");
ECMSoundExplorer.addCannedItem( 'ChatSelfRepairVehicle', "I'll repair our vehicle station.");

//--------------------------------------------------------------------------
// SELF TASK
ECMSoundExplorer.addCIHeader("SELF TASK-------------------");
ECMSoundExplorer.addCannedItem( 'ChatTaskCover', "I'll cover you.");
ECMSoundExplorer.addCannedItem( 'ChatTaskSetupD', "I'll set up defenses.");
ECMSoundExplorer.addCannedItem( 'ChatTaskOnIt', "I'm on it.");
ECMSoundExplorer.addCannedItem( 'ChatTaskSetupRemote', "I'll deploy remote equipment.");
ECMSoundExplorer.addCannedItem( 'ChatTaskSetupSensors', "I'll deploy sensors.");
ECMSoundExplorer.addCannedItem( 'ChatTaskSetupTurrets', "I'll deploy turrets.");
ECMSoundExplorer.addCannedItem( 'ChatTaskVehicle', "I'll get a vehicle ready.");

//--------------------------------------------------------------------------
// TARGET
ECMSoundExplorer.addCIHeader("TARGET----------------------");
ECMSoundExplorer.addCannedItem( 'ChatTargetAcquired', "Target acquired.");
ECMSoundExplorer.addCannedItem( 'ChatCmdTargetBase', "Target the enemy base! I'm in position.");
ECMSoundExplorer.addCannedItem( 'ChatTargetDestroyed', "Target destroyed!");
ECMSoundExplorer.addCannedItem( 'ChatCmdTargetFlag', "Target their flag! I'm in position.");
ECMSoundExplorer.addCannedItem( 'ChatTargetFire', "Fire on my target!");
ECMSoundExplorer.addCannedItem( 'ChatTargetNeed', "Need a target painted!");
ECMSoundExplorer.addCannedItem( 'ChatCmdTargetSensors', "Target their sensors! I'm in position.");
ECMSoundExplorer.addCannedItem( 'ChatCmdTargetTurret', "Target their turret! I'm in position.");
ECMSoundExplorer.addCannedItem( 'ChatCmdTargetWait', "Wait! I'll be in range soon.");

//--------------------------------------------------------------------------
// WARNING
ECMSoundExplorer.addCIHeader("WARNING---------------------");
ECMSoundExplorer.addCannedItem( 'ChatWarnBomber', "Incoming bomber!");
ECMSoundExplorer.addCannedItem( 'ChatWarnEnemies', "Incoming hostiles!");
ECMSoundExplorer.addCannedItem( 'ChatWarnVehicles', "Incoming vehicles!");
ECMSoundExplorer.addCannedItem( 'ChatWarnShoot', "Watch where you're shooting!");

//--------------------------------------------------------------------------
// VERY QUICK
ECMSoundExplorer.addCIHeader("VERY QUICK------------------");
ECMSoundExplorer.addCannedItem( 'ChatWelcome', "Any time.");
ECMSoundExplorer.addCannedItem( 'ChatIsBaseSecure', "Is our base secure?");
ECMSoundExplorer.addCannedItem( 'ChatCeaseFire', "Cease fire!");
ECMSoundExplorer.addCannedItem( 'ChatDunno', "I don't know.");
ECMSoundExplorer.addCannedItem( 'ChatHelp', "HELP!");
ECMSoundExplorer.addCannedItem( 'ChatMove', "Move, please!");
ECMSoundExplorer.addCannedItem( 'ChatTeamNo', "No.");
ECMSoundExplorer.addCannedItem( 'ChatSorry', "Sorry.");
ECMSoundExplorer.addCannedItem( 'ChatTeamThanks', "Thanks.");
ECMSoundExplorer.addCannedItem( 'ChatTeamWait', "Wait, please.");
ECMSoundExplorer.addCannedItem( 'ChatTeamYes', "Yes.");
