//These Items are added to the TracerECM class as support fuctions...	

function TracerECM::GetDisplayVoice( %this, %VoiceNum ) {

		switch$ (%VoiceNum) {

			case 0: //Bot Voice
				return "Bot";

			case 1: //Warrior
				return "Bioderm Warrior";

			case 2: //Monster
				return "Bioderm Monster";

			case 3: //Predator
				return "Bioderm Predator";

			case 9: //Heroine
				return "Female Heroine";

			case 10: //Professional
				return "Female Professional";

			case 11: //Cadet
				return "Female Cadet";

			case 12: //Veteran
				return "Female Veteran";

			case 13: //Amazon
				return "Female Amazon";

			case 4: //Hero
				return "Male Hero";

			case 5: //Iceman
				return "Male Iceman";

			case 6: //Rogue
				return "Male Rogue";

			case 7: //Hardcase
				return "Male Hardcase";

			case 8: //Psyco
				return "Male Psyco";
				

		}

		return null;


	}

//Special Info Request handling Functions______________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function TracerECM::getPlayerVoice(%this) {

		%playerPref = $pref::Player[$pref::Player::Current];

		TracerECM.PlayerVoice = getField( %playerPref, 3 );

		for (%i = 0; %i < $TracerECM::VoiceCount; %i++) {
			if (TracerECM.PlayerVoice $= $TracerECM::VoiceDirs[%i])
				TracerECM.PlayerVoiceNum = %i;
		}

	}

	

//_______________________________________________________________________________________________________
//-----------------------------------------------------------------------------------------------------


//Save file quote etc fix...
function ECMFixEscapeSequences(%string) {

	%newString = "";

	for (%i = 0; %i < strlen(%string); %i++) {

		%ch = getSubStr(%string, %i, 1);
		switch$ (%ch) {
		case "\"":
			%ch = "\\\"";
		case "\\":
			%ch = "\\\\";
		case "\c0":
			%ch = "\\c0";
		case "\c1":
			%ch = "\\c1";
		case "\c2":
			%ch = "\\c2";
		case "\c3":
			%ch = "\\c3";
		case "\c4":
			%ch = "\\c4";
		case "\c5":
			%ch = "\\c5";
		case "\c6":
			%ch = "\\c6";
		case "\c7":
			%ch = "\\c7";
		case "\c8":
			%ch = "\\c8";
		case "\c9":
			%ch = "\\c9";
		case "\cr":
			%ch = "\\cr";
		}

		%newString = %newString @ %ch;
		
	}

	return %newString;

}