


//callback.trigger(AutoloadDone);


//Create the ECM Object________________
//---------------------------------------
if (isObject(TracerECM))
	TracerECM.delete();

new scriptObject(TracerECM) {

	class = TracerECM;

	Version = "3.0.2";
	DisplayName = "Enhanced Chat Menu";
	Author = "TracerDX";

	//Module Global Variables
	GrabVoicePackBinds = false;
	VoicePackColor = "\c0"; //Dark Blue
	//\c5 = Dark Gold
	//\c2 = Gold
	

};

//Set Default Voice Menu File if none chosen
//if (!$pref::TracerECM::ECMenuFile || $pref::TracerECM::ECMenuFile $= "")
//	$pref::TracerECM::ECMenuFile = "Current.mnu";
	

	
//Set Default Vicebind timeout (5 seconds)
if ($pref::TracerECM::BindTimeout $= "")
	$pref::TracerECM::BindTimeout = 5000;

TracerECM.Modules = new SimGroup();

//Voice Values
$TracerECM::VoiceLabels[0] = "Bot";
$TracerECM::VoiceDirs[0] = "Bot1";
$TracerECM::VoiceLabels[1] = "Warrior";
$TracerECM::VoiceDirs[1] = "Derm1";
$TracerECM::VoiceLabels[2] = "Monster";
$TracerECM::VoiceDirs[2] = "Derm2";
$TracerECM::VoiceLabels[3] = "Predator";
$TracerECM::VoiceDirs[3] = "Derm3";
$TracerECM::VoiceLabels[4] = "Hero";
$TracerECM::VoiceDirs[4] = "Male1";
$TracerECM::VoiceLabels[5] = "Iceman";
$TracerECM::VoiceDirs[5] = "Male2";
$TracerECM::VoiceLabels[6] = "Rouge";
$TracerECM::VoiceDirs[6] = "Male3";
$TracerECM::VoiceLabels[7] = "Hardcase";
$TracerECM::VoiceDirs[7] = "Male4";
$TracerECM::VoiceLabels[8] = "Psyco";
$TracerECM::VoiceDirs[8] = "Male5";
$TracerECM::VoiceLabels[9] = "Heroine";
$TracerECM::VoiceDirs[9] = "Fem1";
$TracerECM::VoiceLabels[10] = "Profesional";
$TracerECM::VoiceDirs[10] = "Fem2";
$TracerECM::VoiceLabels[11] = "Cadet";
$TracerECM::VoiceDirs[11] = "Fem3";
$TracerECM::VoiceLabels[12] = "Veteran";
$TracerECM::VoiceDirs[12] = "Fem4";
$TracerECM::VoiceLabels[13] = "Amazon";
$TracerECM::VoiceDirs[13] = "Fem5";
$TracerECM::VoiceCount = 14;


//Load Tracer Enhanced Chat Menu Modules_______________________________________________________________
//-------------------------------------------------------------------------------------------------------

//Support - Some Support functions__________________________
//------------------------------------------------------------
exec("scripts/TDX/ECM/Support.src.cs");

//Bind Editor - Adds the ability to edit ECMenu_____________
//------------------------------------------------------------
exec("scripts/TDX/ECM/BindEditor.src.cs");

//Bind Maps - Manage key bindings___________________________
//------------------------------------------------------------
exec("scripts/TDX/ECM/BindMaps.src.cs");

//Dances - Adds Dance abilities_____________________________
//------------------------------------------------------------
exec("scripts/TDX/ECM/Dances.src.cs");

//Filter - Adds incoming message filter abilities___________
//------------------------------------------------------------
exec("scripts/TDX/ECM/Filter.src.cs");

//VoicePopup - Over-rides to allow selection of all voices__
//------------------------------------------------------------
exec("scripts/TDX/ECM/VoicePopup.src.cs");

//VoicePitch - Allows selection of a voice pitch____________
//------------------------------------------------------------
exec("scripts/TDX/ECM/VoicePitch.src.cs");

//Input/Output - Controls Out/in-coming msgs________________
//------------------------------------------------------------
exec("scripts/TDX/ECM/IO.src.cs");

//Menu Build - Builds the menu from definition files________
//------------------------------------------------------------
exec("scripts/TDX/ECM/MenuBuild.src.cs");
//Load menu to be checked by other processes
ECMenuBuild.activateMenu();

//Quick Binds - Adds quick key binds to SHUT UP ect.________
//------------------------------------------------------------
exec("scripts/TDX/ECM/QuickBinds.src.cs");

//Show Bind HUD - Controls the display of ECMenu in game____
//------------------------------------------------------------
exec("scripts/TDX/ECM/ShowBindHUD.src.cs");

//Sound Explorer - Adds the explorer to bind editor_________
//------------------------------------------------------------
exec("scripts/TDX/ECM/SoundExplorer.src.cs");
//Needs to be before Voicepacks.src.cs

//Voice Cycler - Adds Voice Cycling ability in Null mode____
//------------------------------------------------------------
exec("scripts/TDX/ECM/VoiceCycle.src.cs");

//Recovery Module - Recovers from server side filters_______
//------------------------------------------------------------
//exec("scripts/TDX/ECM/Recovery.src.cs");

//Auto Over-ride - Tracks server side filters, and reacts___
//------------------------------------------------------------
exec("scripts/TDX/ECM/AutoOverride.src.cs");

//ECM Functions - Functions to be bound to chat items_______
//------------------------------------------------------------
exec("scripts/TDX/ECM/ECMFunctions.src.cs");

//VoicePack Support - Adds support for VP1.0________________
//------------------------------------------------------------
//exec("scripts/TDX/ECM/VoicePackSupport.src.cs");
//DEPRICATED


//VoicePack Support - Adds support for Voicepacks___________
//------------------------------------------------------------
exec("scripts/TDX/ECM/VoicePacks.src.cs");

//VoicePack Converter - Converts Old Packs to new standard__
//------------------------------------------------------------
exec("scripts/TDX/ECM/VPConverter.src.cs");

	
//Support VP1.0 if VPDX not present____________________
//-------------------------------------------------------
if(!isFile("scripts/autoexec/VoicePackDX.cs"))
	exec("scripts/TDX/VoicePackOverride.cs");


//Initialize Settings if first run_____________________
//-------------------------------------------------------
if(!$pref::TracerECM::Initialized)
	exec("scripts/TDX/ECM/Init.src.cs");
	


//deactivatePackage(TracerEnhancedChatMenu);
package TracerEnhancedChatMenu {

//Events to re-load menu Functions_____________________________________________________________________
//-------------------------------------------------------------------------------------------------------

	function StartHostedGame()
	{
		getPlayerVoice();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		parent::StartHostedGame();
	}

	function JoinGame(%address)
	{
		getPlayerVoice();
		activateTDXCMenu("scripts/TDXMenu" @ $TDXCVoice);
		parent::JoinGame(%address);
	}

//End Events to re-load menu Functions___________________________________________________________________
//-----------------------------------------------------------------------------------------------------

//Add Edit Binds button to Warrior Pane________________________________________________________________
//-------------------------------------------------------------------------------------------------------
	
//Removed, replaced by the TECM fix in autoexec.

//End Add Edit Binds button to Warrior Pane______________________________________________________________
//-----------------------------------------------------------------------------------------------------


};
activatePackage(TracerEnhancedChatMenu);

//If there is no menu file (Current.mnu.cs) then create one from Default.mnu.cs
if (!isFile("scripts/TDX/ECM/Menus/Current.mnu.cs")) {

	//Load the default menu into memory
	ECMenuBuild.activateMenu("scripts/TDX/ECM/Menus/Default.mnu.cs");
	
	//Save the menu in memory to the "current menu" file
	ECMenuBuild::SaveDataMenu();

}


//Message Captures:
addMessageCallback('MsgMissionDropInfo', TracerECM_GetServerInfo);
function TracerECM_GetServerInfo(%msg, %msgString, %mission, %gametype, %serverName) {

	TracerECM.CurrentServer = %serverName;
	TracerECM.CurrentMap = %mission;
	TracerECM.CurrentGame = %gametype;

}


addMessageCallback('MsgClientJoin', ECMhandleClientJoin);
//addMessageCallback('MsgClientJoinTeam', ECMhandleClientJoinTeam);

function ECMhandleClientJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid) {


	if (detag(%msgString) !$= "")
		if (TracerECM.myClient == 0) {
			TracerECM.myTarget = %targetId;
			TracerECM.myClient = %clientId;
			TracerECM.myGUID = %guid;
			TracerECM.myTag = getTag(%clientName);
		}




}



//deactivatePackage(ECMDisconnectEventCapturePackage);
package ECMDisconnectEventCapturePackage {

	function disconnect() {

		//Clear Client ID to be re-grabbed on next connect
		TracerECM.myClient = 0;

		parent::disconnect();

	}


	//function ClientTarget::onAdd(%this, %type) {

	//	parent::onAdd(%this, %type);

	//	messageBoxOk("TEST", "\c6 TARGET ADD: " @ %this @ " - CLIENT: " @ %this.client);

	//}

};
activatePackage(ECMDisconnectEventCapturePackage);



//This little snippet completely takes over the Voice Chat Menu
package ECM_ThisIsMYVKey {

	function activateChatMenuHud(%mod) {
	
		if ((%mod == 2) || ($pref::TracerECM::DontTakeOverVMenu)) {
			parent::activateChatMenuHud(1);
		} else {
			if ($pref::TracerECM::OperationalMode == 2)
				parent::activateChatMenuHud(1);
			else
				ECMShowHUD.showMenuHud();
		}
			
	}

};


activatePackage(ECM_ThisIsMYVKey);