


//callback command from voice slider
function ECM_setVoicePitch() {

	$pref::Player[$pref::Player::Current] = setField( $pref::Player[$pref::Player::Current], 4, GMW_VoicePitchSlider.getValue()-1);

}

//This function expands the pitch range past that imposed by the server. It is only a client-side modification. (CREDIT: Flux [FluxVoice])
function adjustPitch(%pitch){
	%weight = 3;

	%pitch = 1.0 + ((%pitch-1)*%weight);

	return %pitch;
}


package ECM_VoicePitchSlider {

	//This over-ride will allow the client side wider-range effect to take place. (CREDIT: Flux [FluxVoice])
	function clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10)
	{
		%pitch = adjustPitch(%pitch);

		parent::clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10);
	}

	//Initialize slider when WarriorPane is shown to $pref value
	function GMW_WarriorPopup::onSelect( %this, %id, %text )
	{	
		parent::onSelect( %this, %id, %text );

		//Init Slider...
		GMW_VoicePitchSlider.setValue(getField( $pref::Player[%id], 4)+1);


	}

	//NOTE: Voice Pitch Modded Sound Test function is in the VoicePopup.src.cs file
	
};

activatePackage(ECM_VoicePitchSlider);